Subject: bug#19737: 24.4; Shift selection misses beginning of region

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Feb 2015 15:24:38 -0500

> Content of .emacs file:
> (setq frame-title-format "%b")
> (add-hook 'ibuffer-mode-hook (lambda () (ibuffer-auto-mode 1)))

> 1. start Emacs
> 2. M-x ibuffer
> 3. press enter (i.e. select *GNU Emacs*)
> 4. do shift selection by holding shift and pressing the right arrow key
> several times

Hmm... indeed.  This is very peculiar.  The same happens in other
buffers.  An important detail seems to be that the "shift+movement" has
to be the first thing you do after switching to another buffer.

        Stefan